#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		msgbus		messagebus
%define		_drun		%{_var}/run
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	dbus-bootstrap
Version		:	1.15.4
Release		:	14.8.0.0%{?dist}
Summary		:	D-BUS message bus
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ or AFL
URL		:	https://dbus.freedesktop.org/releases/dbus/

Source0		:	%{sname}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libX11
Requires	:	/usr/sbin/useradd, /usr/sbin/userdel
Requires	:	/usr/sbin/groupadd, /usr/sbin/groupdel
Requires	:	lfs-bootscripts
Requires	:	chkconfig

#-----------------------------------------------------------------------------
%description
D-Bus is a message bus system, a simple way for applications to talk to one
another. D-Bus supplies both a system daemon (for events such as "new hardware 
device added" or "printer queue changed") and a per-user-login-session daemon
(for general IPC needs among user applications). Also, the message bus is built
on top of a general one-to-one message passing framework, which can be used by
any two applications to communicate directly (without going through the message
bus daemon). 

This Dbus is working WITHOUT systemd
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%attr (0750,-,-) %{_sysconfdir}/rc.d/init.d/%{sname}
%dir %{_var}/lib/%{sname}
%{_sysconfdir}/%{sname}-1/*.conf
%{_sysconfdir}/machine-id
%{_includedir}/%{sname}-1.0/%{sname}/*.h
%{_bindir}/%{sname}*
%attr (04750,root,%{msgbus}) %{_libexecdir}/%{sname}-daemon-launch-helper
%{_libdir}/lib%{sname}-1.so*
%{_libdir}/lib%{sname}-1.la
%{_libdir}/%{sname}-1.0/include/*
%{_libdir}/pkgconfig/%{sname}-1.pc
%{_libdir}/cmake/DBus1/*.cmake
%{_defaultdocdir}/%{sname}-%{version}/*
%{_datadir}/%{sname}-1/*.conf
%{_datadir}/xml/%{sname}-1/*.dtd
%{_datadir}/xml/%{sname}-1/catalog.xml

#-----------------------------------------------------------------------------
%pre
if [ "$1" = 1 ]; then
  if [ ! $(getent group %{msgbus}) ]; then
    /usr/sbin/groupadd				\
	-K GID_MIN=10				\
	-K GID_MAX=49				\
	%{msgbus} 
    /usr/sbin/useradd 				\
	-r					\
	-c "D-Bus Message Daemon User"		\
	-K SYS_UID_MIN=10			\
	-K SYS_UID_MAX=49			\
	-g %{msgbus}				\
	-s /bin/false				\
	-d %{_drun}/%{sname}			\
	%{msgbus}
    fi
  fi

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{sname}
  /usr/sbin/userdel %{msgbus}
  (
  /bin/echo -n "%{sname}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{sname}-removed
  fi

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
/sbin/chkconfig --add %{sname}
%{_sysconfdir}/rc.d/init.d/%{sname} condrestart > /dev/null 2>&1 || :

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__tar} xf %{SOURCE1}

./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
	--libexecdir=%{_libexecdir}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{sname}-%{version}		\
	--localstatedir=%{_var}					\
        --disable-static					\
	--disable-doxygen-docs					\
	--disable-xml-docs					\
	--with-console-auth-dir=%{_drun}/console		\
	--with-system-pid-file=%{_drun}/dbus/pid		\
	--with-system-socket=%{_drun}/dbus/system_bus_socket	\
	--disable-systemd					\
	--disable-selinux					\
	--disable-apparmor					\
	--enable-debug=yes					\
	--enable-verbose-mode					\
	--enable-x11-autolaunch					\
	--with-init-scripts=redhat				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} %{name}-ok_addon/%{sname} %{buildroot}%{_sysconfdir}/rc.d/init.d

%{__ln_s}						\
	../var/lib/%{sname}/machine-id			\
	%{buildroot}%{_sysconfdir}
#-----------------------------------------------------------------------------
%changelog
